# Uses of Record Class
org.apache.lucene.sandbox.codecs.quantization.KMeans.Results

Packages that use KMeans.Results
Package
Description
org.apache.lucene.sandbox.codecs.quantization
This package implements KMeans algorithm for clustering vectors

- ## Uses of KMeans.Results in org.apache.lucene.sandbox.codecs.quantization

  Methods in org.apache.lucene.sandbox.codecs.quantization that return KMeans.Results
  Modifier and Type
  Method
  Description
  `static KMeans.Results`
  KMeans.`cluster(FloatVectorValues vectors, int numClusters, boolean assignCentroidsToVectors, long seed, KMeans.KmeansInitializationMethod initializationMethod, boolean normalizeCenters, int restarts, int iters, int sampleSize)`
  Expert: Cluster vectors into a given number of clusters
  `static KMeans.Results`
  KMeans.`cluster(FloatVectorValues vectors, VectorSimilarityFunction similarityFunction, int numClusters)`
  Cluster vectors into a given number of clusters